Visa Developer Community

Highlighted
Newbie

Visa iOS SDK not compatible with Swift 3.0

I have an built in Swift3.0. When I try to integrate the Visa iOS SDK in the same I get the following error.

 

/VisaCheckoutFramework.framework/VisaCheckoutFramework compiled with older version of Swift language (2.0) than previous files (3.0) for architecture armv7

clang: error: linker command failed with exit code 1 (use -v to see invocation)

 

Do you have an iOS sdk compatible with swift3.0?

3 REPLIES 3
Highlighted
Community Manager

Re: Visa iOS SDK not compatible with Swift 3.0

Hi Nikant,

 

The only Visa Checkout SDK we have available is the one currently on the platform. I am not sure on a timeline for swift 3.0 as this was just released.

 

Let me look into a time frame for you.

 

Thank you,

Ricardo




Was your question answered? Don't forget to click on "Accept as Solution" to help other devs find the answer to the same question.
Highlighted
Regular Visitor

Re: Visa iOS SDK not compatible with Swift 3.0

hello ricardo_visa,
Is there any workaround for this as i am also facing the same issuse. 

Highlighted
Newbie

Re: Visa iOS SDK not compatible with Swift 3.0

when visa checkout sdk for ios wll support swift 3 ? URGENT